%global srcname oslo-test
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}stestr

Name:           python-%{srcname}
Version:        3.8.0
Release:        %mkrel 4
Summary:        Oslo Test API

Group:          Development/Python
License:        MIT
URL:            http://www.openstack.org/
Source0:        https://pypi.io/packages/source/o/oslotest/oslotest-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  git

%description
The Oslo test API.

%package -n     python3-%{srcname}
Summary:        Oslo Test API
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslosphinx) >= 2.2.0
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(openstackdocstheme)
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
The Oslo test API.

%prep
%setup -q -n oslotest-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
mv %{buildroot}%{_bindir}/oslo_debug_helper %{buildroot}%{_bindir}/python3-oslo_debug_helper
mv %{buildroot}%{_bindir}/oslo_run_cross_tests %{buildroot}%{_bindir}/python3-oslo_run_cross_tests
mv %{buildroot}%{_bindir}/oslo_run_pre_release_tests %{buildroot}%{_bindir}/python3-oslo_run_pre_release_tests

%files -n python3-%{srcname}
%doc html README.rst
%{python3_sitelib}/oslo*
%{_bindir}/python3-oslo_*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3.8.0-4.mga8
+ Revision: 1535565
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 3.8.0-3.mga8
+ Revision: 1452253
- relax deps: remove deps on stestr

* Fri Oct 11 2019 tv <tv> 3.8.0-2.mga8
+ Revision: 1451618
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 3.8.0-1.mga8
+ Revision: 1430561
- new version 3.8.0

* Wed Jan 09 2019 shlomif <shlomif> 3.4.1-3.mga7
+ Revision: 1353714
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.4.1-2.mga7
+ Revision: 1289506
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 3.4.1-1.mga7
+ Revision: 1215582
- BR python[2,3]dist(openstackdocstheme)
- Update to version 3.4.1
+ pterjan <pterjan>
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.11.0-2.mga6
+ Revision: 971233
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.11.0-1.mga6
+ Revision: 889882
- new version: 1.11.0
- add python3 package
- use new python macros
- build html doc

* Mon Aug 31 2015 fwang <fwang> 1.10.0-1.mga6
+ Revision: 871478
- 1.10.0

* Sun Jul 12 2015 bcornec <bcornec> 1.6.0-1.mga6
+ Revision: 853443
- Import python-oslo-test
- Created package structure for python-oslo-test.

